## org.apache.mahout.clustering.syntheticcontrol.dirichlet
Class Job

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.mahout.common.AbstractJob
              org.apache.mahout.clustering.syntheticcontrol.dirichlet.Job

All Implemented Interfaces:
  org.apache.hadoop.conf.Configurable, org.apache.hadoop.util.Tool

    public final class Job

extends AbstractJob

Method Summary
`static void` `main(String[] args)`
`static void` `printResults(String output, ModelDistribution<VectorWritable> modelDistribution, int numIterations, int numModels, double alpha0)` Prints out all of the clusters for each iteration
`void` `run(org.apache.hadoop.fs.Path input, org.apache.hadoop.fs.Path output, ModelDistribution<VectorWritable> modelDistribution, int numModels, int maxIterations, double alpha0, boolean emitMostLikely, double threshold)` Run the job using supplied arguments, deleting the output directory if it exists beforehand
`int` `run(String[] args)`

Methods inherited from class org.apache.mahout.common.AbstractJob
`addFlag, addInputOption, addOption, addOption, addOption, addOption, addOutputOption, getInputPath, getOption, getOutputPath, hasOption, keyFor, maybePut, parseArguments, parseDirectories, prepareJob, shouldRunNextPhase`

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.conf.Configurable
`getConf, setConf`

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

### run

    public int run(String[] args)
            throws IOException,
                   ClassNotFoundException,
                   InstantiationException,
                   IllegalAccessException,
                   NoSuchMethodException,
                   InvocationTargetException,
                   InterruptedException

  Throws:
    `IOException`
    `ClassNotFoundException`
    `InstantiationException`
    `IllegalAccessException`
    `NoSuchMethodException`
    `InvocationTargetException`
    `InterruptedException`

### run

    public void run(org.apache.hadoop.fs.Path input,
                    org.apache.hadoop.fs.Path output,
                    ModelDistribution<VectorWritable> modelDistribution,
                    int numModels,
                    int maxIterations,
                    double alpha0,
                    boolean emitMostLikely,
                    double threshold)
             throws IOException,
                    ClassNotFoundException,
                    InstantiationException,
                    IllegalAccessException,
                    SecurityException,
                    InterruptedException

  Run the job using supplied arguments, deleting the output directory if it exists beforehand

  Parameters:
    `input` - the directory pathname for input points
    `output` - the directory pathname for output points
    `modelDistribution` - the ModelDistribution
    `numModels` - the number of Models
    `maxIterations` - the maximum number of iterations
    `alpha0` - the alpha0 value for the DirichletDistribution
  Throws:
    `IOException`
    `ClassNotFoundException`
    `InstantiationException`
    `IllegalAccessException`
    `SecurityException`
    `InterruptedException`

### printResults

    public static void printResults(String output,
                                    ModelDistribution<VectorWritable> modelDistribution,
                                    int numIterations,
                                    int numModels,
                                    double alpha0)
                             throws NoSuchMethodException,
                                    InvocationTargetException

  Prints out all of the clusters for each iteration

  Parameters:
    `output` - the String output directory
    `modelDistribution` - the ModelDistribution
    `numIterations` - the int number of Iterations
    `numModels` - the int number of models
    `alpha0` - the double alpha_0 value
  Throws:
    `NoSuchMethodException`
    `InvocationTargetException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.